﻿using LawFirmDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LawFirmContracts.BindingModels
{
    public class DocumentBindingModel : IDocumentModel
    {
        public string DocumentName {get; set;} = string.Empty;

        public double Price { get; set; }

        public Dictionary<int, (IBlankModel, int)> DocumentBlanks { get; set; } = new();

        public int Id { get; set; }
    }
}
