﻿using LawFirmContracts.BindingModels;
using LawFirmContracts.SearchModels;
using LawFirmContracts.ViewModels;
using LawFirmDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LawFirmContracts.BusinessLogicContracts
{
    public interface IShopLogic
    {
        ShopViewModel? ReadElement(ShopSearchModel model);
        List<ShopViewModel>? ReadList(ShopSearchModel? model);
        bool Create(ShopBindingModel model);
        bool Update(ShopBindingModel model);
        bool Delete(ShopBindingModel model);
        bool SupplyDocuments(ShopSearchModel model, IDocumentModel document, int count);
        bool SellDocument(IDocumentModel document, int count);
    }
}
