﻿using LawFirmContracts.BindingModels;
using LawFirmContracts.SearchModels;
using LawFirmContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LawFirmContracts.StorageContracts
{
    public interface IBlankStorage
    {
        List<BlankViewModel> GetFullList();
        List<BlankViewModel> GetFilteredList(BlankSearchModel model);
        BlankViewModel? GetElement(BlankSearchModel model);
        BlankViewModel? Insert(BlankBindingModel model);
        BlankViewModel? Update(BlankBindingModel model);
        BlankViewModel? Delete(BlankBindingModel model);

    }
}
