﻿using LawFirmDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LawFirmContracts.ViewModels
{
    public class ShopViewModel : IShopModel
    {
        [DisplayName("Название магазина")]
        public string Name { get; set; } = string.Empty;
        [DisplayName("Адрес")]
        public string Adress { get; set; } = string.Empty;
        [DisplayName("Дата открытия")]
        public DateTime OpeningDate { get; set; }

        public Dictionary<int, (IDocumentModel, int)> ShopDocuments { get; set; } = new();

        public int Id { get; set; }

        [DisplayName("Макс. документов в магазине")]
        public int MaxCountDocuments { get; set; }
    }
}
