﻿using LawFirmDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LawFirmContracts.BindingModels
{
    public class ShopBindingModel : IShopModel
    {
        public string Name { get; set; } = string.Empty;

        public string Adress { get; set; } = string.Empty;

        public DateTime OpeningDate { get; set; }

        public Dictionary<int, (IDocumentModel, int)> ShopDocuments { get; set; } = new();

        public int Id { get; set; }

        public int MaxCountDocuments { get; set; }
    }
}
