﻿using LawFirmDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LawFirmContracts.ViewModels
{
    public class DocumentViewModel : IDocumentModel
    {
        [DisplayName("Название документа")]
        public string DocumentName {get; set;} = string.Empty;

        [DisplayName("Цена")]
        public double Price { get; set; }

        public Dictionary<int, (IBlankModel, int)> DocumentBlanks { get; set; } = new();

        public int Id { get; set; }
    }
}
