﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LawFirmDataModels.Models
{
    public interface IShopModel : IId
    {
        String Name { get; }
        String Adress { get; }
        DateTime OpeningDate { get; }
        Dictionary<int, (IDocumentModel, int)> ShopDocuments { get; }
        int MaxCountDocuments { get; }
    }
}
